<?php
$token = "ВАШ_ТОКЕН"; //Company Token
//Проверим для начала пару полей на заполненность (как защита от спама)
if (!empty(strip_tags($_POST['page'])) && !empty(strip_tags($_POST['currency']))) {
  //Получаем поля. Что касается безопасности - делаю так
  $page = htmlspecialchars(strip_tags($_POST['page']));
  $total = htmlspecialchars(strip_tags($_POST['price']));
  $currency = htmlspecialchars(strip_tags($_POST['currency']));
  $first_name = htmlspecialchars(strip_tags($_POST['f_name']));
  $last_name = htmlspecialchars(strip_tags($_POST['l_name']));
  $phone = htmlspecialchars(strip_tags($_POST['phone']));
  $customer_email = htmlspecialchars(strip_tags($_POST['email']));
  //Укажем страницу возврата, куда добавим некоторые данные
  $returnURL = 'http://ВАШ_САЙТ/payonlinesuc.php?p='.$phone.'&t='.$total.'&u='.$page.'&c='.$currency;
  $cancelURL = $page;
  $serv_type = '5525';
  //Services types:3854-Test Product, 5525-Test Service --- это есть в письме
  //Проверим пару полей - заполнены ли, если нет попросим заполнить.
  if ($total && $phone && $customer_email) {
    $param = array(
      'order_id' => 1, //В данном случае есть просто форма, без заказов как в интернет магазине. Если нужно указать номер - это здесь
      'amount' => '<PaymentAmount>'.$total.'</PaymentAmount>',
      'first_name' => '<customerFirstName>'.$first_name.'</customerFirstName>',
      'last_name' => '<customerLastName>'.$last_name.'</customerLastName>',
      'phone' => '<customerPhone>'.$phone.'</customerPhone>',
      'email' => '<customerEmail>'.$customer_email.'</customerEmail>',
      'currency' => $currency
    );
    $service = '<Service>
      <ServiceType>'.$serv_type.'</ServiceType>
      <ServiceDescription>Escape to ​Africa</ServiceDescription>
      <ServiceDate>'.date('Y/m/d H:i') .'</ServiceDate>
    </Service>';
    $input_xml = '<?xml version="1.0" encoding="utf-8"?>
    <API3G>
      <CompanyToken>'.$token.'</CompanyToken>
      <Request>createToken</Request>
      <Transaction>'.$param["first_name"].
      $param["last_name"].
      $param["phone"].
      $param["email"].
      $param["amount"].'
      <PaymentCurrency>'.$param["currency"].'</PaymentCurrency>
      <CompanyRef>'.$param["order_id"].'</CompanyRef>
      <RedirectURL>'.htmlspecialchars ($returnURL).'</RedirectURL>
      <BackURL>'.htmlspecialchars ($cancelURL).'</BackURL>
      <CompanyRefUnique>0</CompanyRefUnique>
      </Transaction>
      <Services>'.$service.'</Services>
    </API3G>';
    $url = "https://secure1.sandbox.directpay.online/API/v6/";
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSLVERSION,6);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: text/xml'));
    curl_setopt($ch, CURLOPT_POSTFIELDS, $input_xml);
    $response = curl_exec($ch);
    curl_close($ch);
    $response = simplexml_load_string($response);
  } else if (!$phone) {
    $response = array(
      'Result' => '002',
      'ResultExplanation' => 'Please enter your phone',
      'inp' => 'phone',
    );
  } else if (!$price) {
    $response = array(
      'Result' => '002',
      'ResultExplanation' => 'Please enter Price',
      'inp' => 'price',
    );
  } else if (!$customer_email) {
    $response = array(
      'Result' => '002',
      'ResultExplanation' => 'Please enter your email',
      'inp' => 'email',
    );
  } else {
    $response = array(
      'Result' => '002',
      'ResultExplanation' => 'Unknown error. Please contact us',
      'inp' => '',
    );
  }
  echo json_encode($response);
} else {
  echo json_encode(array(
    'Result' => '001',
    'ResultExplanation' => 'Unknown Error',
  ));
}